Subject: [PATCH v2 1/4] mfd: mc13xxx: add device tree probe support

From: [email-masked] (Mark Brown)
Date: Mon, 5 Dec 2011 19:09:47 +0000

On Mon, Dec 05, 2011 at 02:41:24PM +0800, Shawn Guo wrote:
> On Fri, Dec 02, 2011 at 03:36:38PM +0000, Mark Brown wrote:
> > On Thu, Dec 01, 2011 at 05:21:05PM +0800, Shawn Guo wrote:

> > > +Sub-nodes:
> > > +- regulators : Contain the regulator nodes.  The bindings details of individual
> > > +  regulator node can be found in:
> > > +  Documentation/devicetree/bindings/regulator/regulator.txt

> > How does the driver figure out which regulators map onto which subnodes?

> There should only be one sub-node named 'regulators', otherwise, DTC
> will report ERROR (duplicate_node_names).

That doesn't answer the question - I've still no idea how the binding is
supposed to map the nodes contained within regulators onto the physical
regulators.